package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussMerchantChannelStatus;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
@Mapper
public interface TbPlussMerchantChannelStatusMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussMerchantChannelStatus record);

    int insertSelective(TbPlussMerchantChannelStatus record);

    TbPlussMerchantChannelStatus selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussMerchantChannelStatus record);

    int updateByPrimaryKeyWithBLOBs(TbPlussMerchantChannelStatus record);

    int updateByPrimaryKey(TbPlussMerchantChannelStatus record);
    TbPlussMerchantChannelStatus getByMerchantCodeAndChannelType(String merchantCode, String virChannelFlag);

    Map<String,Object> selectByUserId(@Param("userId") String userId, @Param("channel") String channel);


    TbPlussMerchantChannelStatus getByMerchantCode(@Param("merchantCode") String merchantCode,@Param("channel") String channel );


    TbPlussMerchantChannelStatus getValidData(String merchantCode);

    Integer selectCount(TbPlussMerchantChannelStatus record);



}